/*
 *     Copyright 2015-2016 Austin Keener & Michael Ritter
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package net.dv8tion.jda.core.events.message.guild;

import net.dv8tion.jda.core.JDA;
import net.dv8tion.jda.core.entities.TextChannel;

/**
 * <b><u>GuildMessageDeleteEvent</u></b><br>
 * Fired if a Guild Message was deleted.<br>
 * <br>
 * Use: Retrieve affected TextChannel and the id of the deleted Message.
 */
public class GuildMessageDeleteEvent extends GenericGuildMessageEvent
{
    private final String messageId;

    public GuildMessageDeleteEvent(JDA api, long responseNumber, String messageId, TextChannel channel)
    {
        super(api, responseNumber, null, channel);
        this.messageId = messageId;
    }

    public String getMessageId()
    {
        return messageId;
    }
}
